<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_18) on Mon Jul 05 12:01:08 CEST 2010 -->
<TITLE>
EASParameter
</TITLE>

<META NAME="date" CONTENT="2010-07-05">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="EASParameter";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/EASParameter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?aco/parameter/as/eas/EASParameter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EASParameter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
aco.parameter.as.eas</FONT>
<BR>
Class EASParameter</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../aco/parameter/ACOParameter.html" title="class in aco.parameter">aco.parameter.ACOParameter</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../aco/parameter/as/ASParameter.html" title="class in aco.parameter.as">aco.parameter.as.ASParameter</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>aco.parameter.as.eas.EASParameter</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>EASParameter</B><DT>extends <A HREF="../../../../aco/parameter/as/ASParameter.html" title="class in aco.parameter.as">ASParameter</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#EASParameter()">EASParameter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#EASParameter(double, double, double, double, int, int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)">EASParameter</A></B>(double&nbsp;Alpha,
             double&nbsp;Beta,
             double&nbsp;Roh,
             double&nbsp;TauZero,
             int&nbsp;MaxNumOfTours,
             int&nbsp;NumOfAnts,
             int&nbsp;NumOfCities,
             int&nbsp;NearestNeighbourListDepth,
             <A HREF="../../../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
             <A HREF="../../../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
             <A HREF="../../../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
             <A HREF="../../../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
             <A HREF="../../../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
             <A HREF="../../../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
             <A HREF="../../../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#EASParameter(int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)">EASParameter</A></B>(int&nbsp;NumOfCities,
             <A HREF="../../../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
             <A HREF="../../../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
             <A HREF="../../../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
             <A HREF="../../../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
             <A HREF="../../../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
             <A HREF="../../../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
             <A HREF="../../../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#EASParameter(int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)">EASParameter</A></B>(int&nbsp;NumOfAnts,
             int&nbsp;NumOfCities,
             int&nbsp;NearestNeighbourListDepth,
             <A HREF="../../../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
             <A HREF="../../../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
             <A HREF="../../../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
             <A HREF="../../../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
             <A HREF="../../../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
             <A HREF="../../../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
             <A HREF="../../../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#getAlpha()">getAlpha</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#getE()">getE</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#setAlpha(double)">setAlpha</A></B>(double&nbsp;Alpha)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#setE(double)">setE</A></B>(double&nbsp;E)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../aco/parameter/as/eas/EASParameter.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_aco.parameter.ACOParameter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class aco.parameter.<A HREF="../../../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../aco/parameter/ACOParameter.html#getACOStrategy()">getACOStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getBeta()">getBeta</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getChoiceInformationStrategy()">getChoiceInformationStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getDistanceStrategy()">getDistanceStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getGlobalBestTourMapSize()">getGlobalBestTourMapSize</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getGraphStrategy()">getGraphStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getHeuristicInformationStrategy()">getHeuristicInformationStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getInfinity()">getInfinity</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getMaxNumOfTours()">getMaxNumOfTours</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getNearestNeighbourListDepth()">getNearestNeighbourListDepth</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getNumOfAnts()">getNumOfAnts</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getNumOfCities()">getNumOfCities</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getPheromoneStrategy()">getPheromoneStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getRoh()">getRoh</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getTauZero()">getTauZero</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#getTauZeroStrategy()">getTauZeroStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setACOStrategy(aco.strategy.ACOStrategy)">setACOStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setBeta(double)">setBeta</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setChoiceInformationStrategy(aco.strategy.ChoiceInformationStrategy)">setChoiceInformationStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setDistanceStrategy(aco.strategy.DistanceStrategy)">setDistanceStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setGlobalBestTourMapSize(int)">setGlobalBestTourMapSize</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setGraphStrategy(aco.strategy.GraphStrategy)">setGraphStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setHeuristicInformationStrategy(aco.strategy.HeuristicInformationStrategy)">setHeuristicInformationStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setMaxNumOfTours(int)">setMaxNumOfTours</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setNearestNeighbourListDepth(int)">setNearestNeighbourListDepth</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setNumOfAnts(int)">setNumOfAnts</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setNumOfCities(int)">setNumOfCities</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setPheromoneStrategy(aco.strategy.PheromoneStrategy)">setPheromoneStrategy</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setRoh(double)">setRoh</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setTauZero(double)">setTauZero</A>, <A HREF="../../../../aco/parameter/ACOParameter.html#setTauZeroStrategy(aco.strategy.TauZeroStrategy)">setTauZeroStrategy</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="EASParameter()"><!-- --></A><H3>
EASParameter</H3>
<PRE>
public <B>EASParameter</B>()</PRE>
<DL>
</DL>
<HR>

<A NAME="EASParameter(int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
EASParameter</H3>
<PRE>
public <B>EASParameter</B>(int&nbsp;NumOfCities,
                    <A HREF="../../../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
                    <A HREF="../../../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
                    <A HREF="../../../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
                    <A HREF="../../../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
                    <A HREF="../../../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
                    <A HREF="../../../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
                    <A HREF="../../../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
</DL>
<HR>

<A NAME="EASParameter(int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
EASParameter</H3>
<PRE>
public <B>EASParameter</B>(int&nbsp;NumOfAnts,
                    int&nbsp;NumOfCities,
                    int&nbsp;NearestNeighbourListDepth,
                    <A HREF="../../../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
                    <A HREF="../../../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
                    <A HREF="../../../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
                    <A HREF="../../../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
                    <A HREF="../../../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
                    <A HREF="../../../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
                    <A HREF="../../../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
</DL>
<HR>

<A NAME="EASParameter(double, double, double, double, int, int, int, int, aco.strategy.ACOStrategy, aco.strategy.GraphStrategy, aco.strategy.TauZeroStrategy, aco.strategy.DistanceStrategy, aco.strategy.PheromoneStrategy, aco.strategy.ChoiceInformationStrategy, aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
EASParameter</H3>
<PRE>
public <B>EASParameter</B>(double&nbsp;Alpha,
                    double&nbsp;Beta,
                    double&nbsp;Roh,
                    double&nbsp;TauZero,
                    int&nbsp;MaxNumOfTours,
                    int&nbsp;NumOfAnts,
                    int&nbsp;NumOfCities,
                    int&nbsp;NearestNeighbourListDepth,
                    <A HREF="../../../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos,
                    <A HREF="../../../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs,
                    <A HREF="../../../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs,
                    <A HREF="../../../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds,
                    <A HREF="../../../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps,
                    <A HREF="../../../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis,
                    <A HREF="../../../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getAlpha()"><!-- --></A><H3>
getAlpha</H3>
<PRE>
public double <B>getAlpha</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../aco/parameter/as/ASParameter.html#getAlpha()">getAlpha</A></CODE> in class <CODE><A HREF="../../../../aco/parameter/as/ASParameter.html" title="class in aco.parameter.as">ASParameter</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setAlpha(double)"><!-- --></A><H3>
setAlpha</H3>
<PRE>
public void <B>setAlpha</B>(double&nbsp;Alpha)</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../aco/parameter/as/ASParameter.html#setAlpha(double)">setAlpha</A></CODE> in class <CODE><A HREF="../../../../aco/parameter/as/ASParameter.html" title="class in aco.parameter.as">ASParameter</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getE()"><!-- --></A><H3>
getE</H3>
<PRE>
public double <B>getE</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setE(double)"><!-- --></A><H3>
setE</H3>
<PRE>
public void <B>setE</B>(double&nbsp;E)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../aco/parameter/as/ASParameter.html#toString()">toString</A></CODE> in class <CODE><A HREF="../../../../aco/parameter/as/ASParameter.html" title="class in aco.parameter.as">ASParameter</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/EASParameter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?aco/parameter/as/eas/EASParameter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EASParameter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
